Package org.eclipse.microprofile.openapi.annotations.info

# Annotation Type Contact

@Target({}) @Retention(RUNTIME) @Inherited public @interface Contact
Contact information for the exposed API.

See Also:
  - "https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.0.md#contactObject"

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`email`
The email address of the contact person/organization.
`Extension[]`
`extensions`
List of extensions to be added to the `Contact` model corresponding to the containing annotation.
`String`
`name`
The identifying name of the contact person/organization.
`String`
`url`
The URL pointing to the contact information.

## Element Details

### name

String name
The identifying name of the contact person/organization.

Returns:
  the name of the contact

Default:
  ""

### url

String url
The URL pointing to the contact information. Must be in the format of a URL.

Returns:
  the URL of the contact

Default:
  ""

### email

String email
The email address of the contact person/organization. Must be in the format of an email address.

Returns:
  the email address of the contact

Default:
  ""

### extensions

Extension[] extensions
List of extensions to be added to the `Contact` model corresponding to the containing annotation.

Returns:
  array of extensions
Since:
  3.1

Default:
  {}